OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ActionRequestSolution Class Reference

Representation of STEP entity ActionRequestSolution
.

`#include <StepBasic_ActionRequestSolution.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_ActionRequestSolution ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_ActionMethod)&aMethod, const Handle(StepBasic_VersionedActionRequest)&aRequest)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepBasic_ActionMethod | Method () const
| Returns field Method .
Standard_EXPORT void | SetMethod (const Handle(StepBasic_ActionMethod)&Method)
| Set field Method .
Standard_EXPORT Handle_StepBasic_VersionedActionRequest | Request () const
| Returns field Request .
Standard_EXPORT void | SetRequest (const Handle(StepBasic_VersionedActionRequest)&Request)
| Set field Request .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_ActionMethod | theMethod
Handle_StepBasic_VersionedActionRequest | theRequest

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ActionRequestSolution::StepBasic_ActionRequestSolution | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ActionRequestSolution::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_ActionRequestSolution::Init | ( | const Handle(StepBasic_ActionMethod)& | aMethod,
|  | const Handle(StepBasic_VersionedActionRequest)& | aRequest
| ) |

Standard_EXPORT Handle_StepBasic_ActionMethod StepBasic_ActionRequestSolution::Method | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_VersionedActionRequest StepBasic_ActionRequestSolution::Request | ( |  | ) | const

Standard_EXPORT void StepBasic_ActionRequestSolution::SetMethod | ( | const Handle(StepBasic_ActionMethod)& | Method | ) |

Standard_EXPORT void StepBasic_ActionRequestSolution::SetRequest | ( | const Handle(StepBasic_VersionedActionRequest)& | Request | ) |

## Field Documentation

Handle_StepBasic_ActionMethod StepBasic_ActionRequestSolution::theMethod`[private]`

Handle_StepBasic_VersionedActionRequest StepBasic_ActionRequestSolution::theRequest`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ActionRequestSolution.hxx